import { ndk } from '@/ndk';
import { NDKRelay, NDKRelaySet } from '@nostr-dev-kit/ndk';

/**
 * This is an unsafe relay set that is used to publish events publicly
 * This should NEVER be used except for the initial setup
 */
export const unsafeRelaySet = new NDKRelaySet(
  new Set([
    new NDKRelay('wss://nos.lol/', undefined, ndk),
    new NDKRelay('wss://nostr.einundzwanzig.space/', undefined, ndk),
    new NDKRelay('wss://nostr.massmux.com/', undefined, ndk),
    new NDKRelay('wss://nostr.mom/', undefined, ndk),
    new NDKRelay('wss://purplerelay.com/', undefined, ndk),
    new NDKRelay('wss://relay.damus.io/', undefined, ndk),
    new NDKRelay('wss://relay.goodmorningbitcoin.com/', undefined, ndk),
    new NDKRelay('wss://relay.lexingtonbitcoin.org/', undefined, ndk),
    new NDKRelay('wss://relay.nostr.band/', undefined, ndk),
    new NDKRelay('wss://relay.primal.net/', undefined, ndk),
    new NDKRelay('wss://relay.snort.social/', undefined, ndk),
    new NDKRelay('wss://strfry.iris.to/', undefined, ndk),
    new NDKRelay('wss://cache2.primal.net/v1', undefined, ndk),
  ]),
  ndk,
);
